Get Node
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get Node
Get a single node by ID
GET
/
v1
/
projects
/
{projectId}
/
pathway
/
nodes
/
{nodeId}
Get Node
Request
GET https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId}
Path Parameters
string
required
The project ID
string
required
The node ID
Headers
string
required
Bearer token using your developer key
Response
Returns the node object, or404 if not found.
Example
curl https://api.pathors.com/v1/projects/{projectId}/pathway/nodes/{nodeId} \
-H "Authorization: Bearer dk_your_key"
{
"data": {
"id": "node-booking",
"position": { "x": 200, "y": 300 },
"data": {
"type": "prompt",
"title": "Booking",
"prompt": "Help the user complete their booking.",
"tools": ["tool-uuid-1"]
}
}
}
⌘I
